<mat-card>
  <mat-card-header>
    <mat-card-title>Rental Duration</mat-card-title>
    <mat-card-subtitle>
      This chart shows the rent duration based on the currently selected station.
      The time it takes for a rent which has the current station as origin is displayed here.
    </mat-card-subtitle>
  </mat-card-header>
  <mat-card-content>
    <div *ngIf="!isLoading" class="station-dashboard-borrow-duration">
      <apx-chart
        [chart]="chartOptions.chart"
        [colors]="chartOptions.colors"
        [dataLabels]="chartOptions.dataLabels"
        [fill]="chartOptions.fill"
        [legend]="chartOptions.legend"
        [plotOptions]="chartOptions.plotOptions"
        [series]="chartOptions.series"
        [stroke]="chartOptions.stroke"
        [xaxis]="chartOptions.xaxis"
        [yaxis]="chartOptions.yaxis"></apx-chart>
    </div>
    <div *ngIf="isLoading" class="col d-flex align-items-center justify-content-center">
      <mat-progress-spinner color="primary" mode="indeterminate" [diameter]="300"></mat-progress-spinner>
    </div>
  </mat-card-content>
</mat-card>
